// file: $USFS/class/image_analysis/v1.0/imaga_rle_13.cc
//

// isip include files
//
#include "image_analysis.h"

#include "image_analysis_constants.h"
#include <integral_constants.h>

// method: rle_bits_cc
//
// arguments: none
//
// return: a logical_1 value indicating status
//
// this method computes the number of bits
//
logical_1 Image_analysis::rle_bits_cc() {

  // compute the bits for the red color
  //
  if (rle_bitred_cc() == ISIP_FALSE) {
    error_handler_cc((char_1*)"rle_bits_cc",
		     (char_1*)"error computing the bits");
    return ISIP_FALSE;
  }
  
  // compute the bits for the green color
  //
  if (rle_bitgrn_cc() == ISIP_FALSE) {
    error_handler_cc((char_1*)"rle_bits_cc",
		     (char_1*)"error computing the bits");
    return ISIP_FALSE;
  }

    // compute the bits for the blue color
  //
  if (rle_bitblu_cc() == ISIP_FALSE) {
    error_handler_cc((char_1*)"rle_bits_cc",
		     (char_1*)"error computing the bits");
    return ISIP_FALSE;
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
  

  
